## org.gnu.gtk
Class PositionType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.PositionType

public class PositionType
extends org.gnu.glib.Enum

A property used to determine where items appear in widgets

See Also:
  `Scale.setValuePosition(PositionType)`

Field Summary
`static PositionType` `BOTTOM`
`static PositionType` `LEFT`
`static PositionType` `RIGHT`
`static PositionType` `TOP`

Method Summary
`PositionType` `and(PositionType other)`
`static PositionType` `intern(int value)`
`PositionType` `or(PositionType other)`
`boolean` `test(PositionType other)`
`PositionType` `xor(PositionType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final PositionType LEFT

### RIGHT

    public static final PositionType RIGHT

### TOP

    public static final PositionType TOP

### BOTTOM

    public static final PositionType BOTTOM

Method Detail

### intern

    public static PositionType intern(int value)

### or

    public PositionType or(PositionType other)

### and

    public PositionType and(PositionType other)

### xor

    public PositionType xor(PositionType other)

### test

    public boolean test(PositionType other)